## org.hibernate.testing.env
Class ConnectionProviderBuilder

    java.lang.Object
      org.hibernate.testing.env.ConnectionProviderBuilder

    public class ConnectionProviderBuilder

extends Object

Defines the JDBC connection information (currently H2) used by Hibernate for unit (not functional!) tests

Field Summary
`static String` `DRIVER`
`static String` `PASS`
`static String` `URL`
`static String` `USER`

Constructor Summary
`ConnectionProviderBuilder()`

Method Summary
`static DriverManagerConnectionProviderImpl` `buildConnectionProvider()`
`static DriverManagerConnectionProviderImpl` `buildConnectionProvider(boolean allowAggressiveRelease)`
`static DriverManagerConnectionProviderImpl` `buildConnectionProvider(String dbName)`
`static Properties` `getConnectionProviderProperties()`
`static Properties` `getConnectionProviderProperties(String dbName)`
`static Dialect` `getCorrespondingDialect()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DRIVER

    public static final String DRIVER

See Also:
  Constant Field Values

### URL

    public static final String URL

See Also:
  Constant Field Values

### USER

    public static final String USER

See Also:
  Constant Field Values

### PASS

    public static final String PASS

See Also:
  Constant Field Values

Constructor Detail

### ConnectionProviderBuilder

    public ConnectionProviderBuilder()

Method Detail

### getConnectionProviderProperties

    public static Properties getConnectionProviderProperties(String dbName)

### getConnectionProviderProperties

    public static Properties getConnectionProviderProperties()

### buildConnectionProvider

    public static DriverManagerConnectionProviderImpl buildConnectionProvider()

### buildConnectionProvider

    public static DriverManagerConnectionProviderImpl buildConnectionProvider(String dbName)

### buildConnectionProvider

    public static DriverManagerConnectionProviderImpl buildConnectionProvider(boolean allowAggressiveRelease)

### getCorrespondingDialect

    public static Dialect getCorrespondingDialect()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.